package com.ruoyi.hotel.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会员卡类型对象 svip_items
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public class SvipItems extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long itemId;

    /**
     * 卡名称，如储值卡、游泳卡、健身卡……
     */
    @Excel(name = "卡名称，如储值卡、游泳卡、健身卡……")
    private String cName;

    /**
     * 卡类型，储值卡、次卡
     */
    @Excel(name = "卡类型，储值卡、次卡")
    private String itemType;

    /**
     * 金额
     */
    @Excel(name = "金额")
    private Long amount;

    /**
     * 有效期
     */
    @Excel(name = "有效期")
    private Long expirationDate;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setcName(String cName) {
        this.cName = cName;
    }

    public String getcName() {
        return cName;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public String getItemType() {
        return itemType;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public Long getAmount() {
        return amount;
    }

    public void setExpirationDate(Long expirationDate) {
        this.expirationDate = expirationDate;
    }

    public Long getExpirationDate() {
        return expirationDate;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("itemId", getItemId())
                .append("cName", getcName())
                .append("itemType", getItemType())
                .append("amount", getAmount())
                .append("expirationDate", getExpirationDate())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
